Package io.flutter.embedding.engine.systemchannels

# Enum PlatformChannel.ClipboardContentFormat

java.lang.Object
java.lang.Enum<PlatformChannel.ClipboardContentFormat>
io.flutter.embedding.engine.systemchannels.PlatformChannel.ClipboardContentFormat

All Implemented Interfaces:
  `Serializable`, `Comparable<PlatformChannel.ClipboardContentFormat>`, `java.lang.constant.Constable`

Enclosing class:
  `PlatformChannel`

public static enum PlatformChannel.ClipboardContentFormat extends Enum<PlatformChannel.ClipboardContentFormat>
Data formats of clipboard content.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `PLAIN_TEXT`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static PlatformChannel.ClipboardContentFormat`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static PlatformChannel.ClipboardContentFormat[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### PLAIN_TEXT

    public static final PlatformChannel.ClipboardContentFormat PLAIN_TEXT

- ## Method Details

  - ### values

    public static PlatformChannel.ClipboardContentFormat[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static PlatformChannel.ClipboardContentFormat valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null